Bug 25872 - Update port: www/amaya to 4.3.1
Summary: Update port: www/amaya to 4.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-03-17 05:00 UTC by tkato
Modified: 2001-03-20 05:56 UTC (History)
0 users

See Also:


Attachments
file.diff (6.20 KB, patch)
2001-03-17 05:00 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2001-03-17 05:00:04 UTC
- Update to version 4.3.1

New file:
files/patch-ac  files/patch-ad
Comment 1 Dirk Meyer freebsd_committer 2001-03-17 07:33:10 UTC
Responsible Changed
From-To: freebsd-ports->dinoex

I will take care of it.
Comment 2 Dirk Meyer freebsd_committer 2001-03-17 10:41:44 UTC
State Changed
From-To: open->feedback


Distribution won't compile from scratch, Dependencies are broken. 
libAnnot.a and amaya depends on each other, 
so neither will build fully without the other. 

please fix ...
Comment 3 dirk.meyer 2001-03-18 10:24:37 UTC
> Distribution won't compile from scratch, Dependencies are broken.
> libAnnot.a and amaya depends on each other,
> so neither will build fully without the other.

The port have been updated to the new distribution,
please send patches against the new version.
I would like to add your changes.

Beware: gmake don't stop building on errors, so log the output.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
Comment 4 tkato 2001-03-19 23:42:13 UTC
> > Distribution won't compile from scratch, Dependencies are broken.
> > libAnnot.a and amaya depends on each other,
> > so neither will build fully without the other.

Hmm, it appears amaya port with previsous patch fails to build
when www/libwww package is installed.

> The port have been updated to the new distribution,
> please send patches against the new version.
> I would like to add your changes.

OK. Here is an reformed patch.

diff -urN /usr/ports/www/amaya/Makefile www/amaya/Makefile
--- /usr/ports/www/amaya/Makefile	Mon Mar 19 18:36:58 2001
+++ www/amaya/Makefile	Tue Mar 20 02:27:48 2001
@@ -7,19 +7,28 @@
 
 PORTNAME=	amaya
 PORTVERSION=	4.3.1
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://www.w3.org/Amaya/Distribution/ \
 		ftp://ftp.w3.org/pub/amaya/
 DISTNAME=	${PORTNAME}-src-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	ports@freebsd.org
+MAINTAINER=	ports@FreeBSD.org
+
+LIB_DEPENDS=	jpeg.9:${PORTSDIR}/graphics/jpeg \
+		png.4:${PORTSDIR}/graphics/png
+
+DIST_SUBDIR=	amaya
+WRKSRC=		${WRKDIR}/Amaya/obj
 
 USE_MOTIF=	yes
-USE_XLIB=	yes
 USE_GMAKE=	yes
-DIST_SUBDIR=	amaya
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
+GNU_CONFIGURE=	yes
+CONFIGURE_SCRIPT=	../configure
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
+		LIBS="-L${LOCALBASE}/lib"
+CONFIGURE_ARGS=	--with-more-shared
 
 DICT?=		none
 
@@ -37,12 +46,6 @@
 .endif
 .endif
 
-WRKSRC=		${WRKDIR}/Amaya/obj
-
-GNU_CONFIGURE=	yes
-CONFIGURE_SCRIPT=	../configure
-CONFIGURE_ARGS=	--with-amaya
-
 pre-fetch:
 .if ${DICT} == "none"
 	@${ECHO_MSG} Several spellchecking dictionaries are available.  To use
@@ -56,16 +59,12 @@
 	${CP} ${WRKSRC}/Options.orig ${WRKSRC}/Options
 
 post-install:
-.for file in amaya print
-	strip ${PREFIX}/Amaya/applis/bin/${file}
-.endfor
-	${INSTALL_DATA} ${WRKSRC}/../amaya/COPYRIGHT.html\
-	${PREFIX}/Amaya/amaya/
+	${INSTALL_DATA} ${WRKSRC}/../amaya/COPYRIGHT.html ${PREFIX}/Amaya/amaya
 .if ${DICT} != "none"
-	${INSTALL_DATA} ${WRKDIR}/*.dic ${PREFIX}/Amaya/dicopar/
+	${INSTALL_DATA} ${WRKDIR}/*.dic ${PREFIX}/Amaya/dicopar
 	${MV} ${TMPPLIST} ${TMPPLIST}.new
-	cd ${WRKDIR} && ls -1 *.dic | perl -pi -e 's|^|Amaya/dicopar/|'\
-	> ${TMPPLIST}
+	cd ${WRKDIR} && ls -1 *.dic | \
+		${PERL} -pi -e 's|^|Amaya/dicopar/|' > ${TMPPLIST}
 	${CAT} ${TMPPLIST}.new >> ${TMPPLIST}
 	${RM} ${TMPPLIST}.new
 .endif
diff -urN /usr/ports/www/amaya/files/patch-ac www/amaya/files/patch-ac
--- /usr/ports/www/amaya/files/patch-ac	Thu Jan  1 09:00:00 1970
+++ www/amaya/files/patch-ac	Tue Mar 20 01:40:37 2001
@@ -0,0 +1,11 @@
+--- ../Makefile.in.orig	Wed Feb 28 19:34:16 2001
++++ ../Makefile.in	Tue Mar 20 01:40:14 2001
+@@ -187,7 +187,7 @@
+ 	  if [ ! -f Makefile -o ! -f wwwconf.h ] ; then \
+ 	  	$$libwwwdir/configure \
+ 			--disable-shared \
+-			--with-zlib="$$localdir/libz.a"; \
++			--with-zlib; \
+ 		$(ECHO) "libwww is configured" ; \
+ 	  fi)
+ 
diff -urN /usr/ports/www/amaya/files/patch-ad www/amaya/files/patch-ad
--- /usr/ports/www/amaya/files/patch-ad	Thu Jan  1 09:00:00 1970
+++ www/amaya/files/patch-ad	Sat Mar 17 08:53:41 2001
@@ -0,0 +1,22 @@
+--- ../Options.in.orig	Fri Sep 15 23:24:26 2000
++++ ../Options.in	Sat Mar 17 08:53:21 2001
+@@ -9,7 +9,7 @@
+ SHELL	= /bin/sh
+ 
+ CC	= @CC@
+-CFLAGS	= @CFLAGS@
++CFLAGS	= @CFLAGS@ @CPPFLAGS@
+ CPP     = @CPP@
+ LD	= @CC@
+ LDFLAGS	= @LDFLAGS@
+@@ -24,8 +24,8 @@
+ DIFF	= @DIFF@
+ INSTALL	= @INSTALL@
+ 
+-INSTALL_DATA= $(INSTALL) -m 444
+-INSTALL_BIN= $(INSTALL) -m 755
++INSTALL_DATA=@INSTALL_DATA@
++INSTALL_BIN=@INSTALL_PROGRAM@
+ 
+ CEXTRACT_FLAGS=@CEXTRACT_FLAGS@
+ 
diff -urN /usr/ports/www/amaya/files/patch-ae www/amaya/files/patch-ae
--- /usr/ports/www/amaya/files/patch-ae	Thu Jan  1 09:00:00 1970
+++ www/amaya/files/patch-ae	Mon Mar 19 22:31:09 2001
@@ -0,0 +1,11 @@
+--- ../configure.orig	Wed Feb 28 19:34:16 2001
++++ ../configure	Mon Mar 19 22:16:50 2001
+@@ -1651,7 +1651,7 @@
+   :
+ fi
+ 
+-if test "$with_graphic-libs" = "no" ; then
++if test "$with_more_shared" = "yes" ; then
+     echo $ac_n "checking for libjpeg version = 6b""... $ac_c" 1>&6
+ echo "configure:1657: checking for libjpeg version = 6b" >&5
+     cat > conftest.$ac_ext <<EOF
diff -urN /usr/ports/www/amaya/files/patch-af www/amaya/files/patch-af
--- /usr/ports/www/amaya/files/patch-af	Thu Jan  1 09:00:00 1970
+++ www/amaya/files/patch-af	Mon Mar 19 22:21:06 2001
@@ -0,0 +1,11 @@
+--- ../amaya/Makefile.libwww.orig	Fri Sep 15 23:24:40 2000
++++ ../amaya/Makefile.libwww	Mon Mar 19 22:20:31 2001
+@@ -50,7 +50,7 @@
+ 		-I$(THOTDIR)../libwww/modules/expat/xmltok
+ 
+ # this dependency calls the ../Makefile rule that compiles libwww
+-AMAYA_LIBWWW_SRC= ../libz.a amaya_comp_libwww
++AMAYA_LIBWWW_SRC= amaya_comp_libwww
+ 
+ amaya_comp_libwww : force
+ 		@(cd .. ; $(MAKE) libwww)
diff -urN /usr/ports/www/amaya/pkg-plist www/amaya/pkg-plist
--- /usr/ports/www/amaya/pkg-plist	Mon Mar 19 18:36:59 2001
+++ www/amaya/pkg-plist	Sat Mar 17 09:11:48 2001
@@ -184,8 +184,8 @@
 Amaya/doc/Icons/target.gif
 Amaya/doc/Icons/ui.gif
 Amaya/doc/Icons/up.gif
-Amaya/doc/Icons/warning.gif
 Amaya/doc/Icons/w3c-amaya.gif
+Amaya/doc/Icons/warning.gif
 Amaya/doc/amaya/Access.html
 Amaya/doc/amaya/Access.html.fr
 Amaya/doc/amaya/Annotations.html



-- 
KATO Tsuguru / tkato@prontomail.ne.jp
                             
Sent by Japanese ProntoMail
Comment 5 Dirk Meyer freebsd_committer 2001-03-20 05:55:42 UTC
State Changed
From-To: feedback->closed

Committed, Thanks.